Bug 1126289 - [SNAPSHOT]: Deletion of a snapshot in a volume or system fails if some operation which acquires the volume lock comes in between.
Summary: [SNAPSHOT]: Deletion of a snapshot in a volume or system fails if some operat...
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: GlusterFS
Classification: Community
Component: glusterd
Version: mainline
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: ---
Assignee: bugs@gluster.org
QA Contact:
URL:
Whiteboard: SNAPSHOT
Depends On:
Blocks: 1145911
TreeView+ depends on / blocked
 
Reported: 2014-08-04 05:53 UTC by Sachin Pandit
Modified: 2018-10-07 13:06 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
: 1145911 (view as bug list)
Environment:
Last Closed: 2018-10-07 13:06:23 UTC
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:


Attachments (Terms of Use)

Description Sachin Pandit 2014-08-04 05:53:28 UTC
Description of problem:
gluster snapshot delete volume <volname>
          (or)
gluster snapshot delete all

The above two commands might fail if some operation which acquires the
lock comes in between.

Explanation :
snapshot delete volume <volname> does a multiple RPC when tried to
do deletion of multiple snapshots in a volume. If some other operation
which acquires the lock comes in between, then snapshot delete will fail
with "another transaction in progress" error.


Version-Release number of selected component (if applicable):


How reproducible:
1/1


Steps to Reproduce:
1. issue a snapshot delete volume <volname> (say volname is vol1)
2. when step (1) is in progress, issue another command which takes a lock on volume vol1

Actual results:
snapshot delete fails with another transaction in progress.

Expected results:
command should not fail. 


Additional info:
Its better to give certain retries before failing.

Comment 1 Anand Avati 2014-08-11 09:47:23 UTC
REVIEW: http://review.gluster.org/8454 (glusterd/snapshot : Differentiating between various error scenario.) posted (#1) for review on master by Sachin Pandit (spandit@redhat.com)

Comment 5 Atin Mukherjee 2018-10-07 13:06:23 UTC
IMO, we don't need to fix this in GD1, at least not a priority.


Note You need to log in before you can comment on or make changes to this bug.